/* You can add global styles to this file, and also import other style files */
@import "./app/core/styles/main";
@import '~@angular/material/prebuilt-themes/deeppurple-amber.css';

html,
body {
    height: 100%;
    margin: 0;
    display: flex;
    flex-direction: column;
    font-family: 'Roboto', sans-serif;
    font-size: 13px;
}

.leaflet-control-layers-find {
    background-image: url(assets/images/search-icon-mobile.png);
    width: 36px;
    height: 36px;
}

.leaflet-container .leaflet-control-attribution {
    padding: 2px 6px;
    background: rgba(255, 255, 255, 0.9);
}

.leaflet-container .leaflet-control-attribution.leaflet-compact-attribution {
    width: auto !important;
    margin: 10px 44px 0 10px;
    padding: 7px;
    border-radius: 2px;
    background: rgba(255, 255, 255, 0.9);
    visibility: hidden;
}

.leaflet-compact-attribution-label:after {
    font-family: 'FontAwesome';
    content: '\f129';
    position: absolute;
    right: 0;
    bottom: 0;
    z-index: 1;
    display: inline-block;
    width: 30px;
    height: 30px;
    background: white;
    border-radius: 50%;
    border: 1px solid #ccc;
    line-height: 28px;
    text-align: center;
    font-size: 14px;
    cursor: pointer;
    visibility: visible;
}

.leaflet-compact-attribution-toggle,
.leaflet-compact-attribution-label {
    display: none;
}

.leaflet-compact-attribution~.leaflet-compact-attribution-label {
    display: block;
}

.leaflet-compact-attribution-toggle:checked~.leaflet-control-attribution.leaflet-compact-attribution {
    visibility: visible;
}

.leaflet-control-fullscreen a {
    background: #fff no-repeat 0 0;
    background-image: url("data:image/svg+xml,%3C%3Fxml version='1.0' encoding='UTF-8'%3F%3E%3Csvg version='1.1' viewBox='0 0 26 52' width='26' height='52' xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink'%3E%3Cg display='none'%3E%3Crect width='26' height='52' color='%23000000' display='inline' fill='%23f2f2f2'/%3E%3Crect y='26' width='26' height='26' color='%23000000' display='inline' fill='%23e6e6e6'/%3E%3C/g%3E%3Cg transform='translate(0 -1000.4)'%3E%3Cuse transform='translate(0,26)' width='100%25' height='100%25' xlink:href='%23rect15634'/%3E%3Cuse transform='translate(0,26)' width='100%25' height='100%25' xlink:href='%23path15639'/%3E%3Cuse transform='translate(0,26)' width='100%25' height='100%25' xlink:href='%23path16061'/%3E%3Cuse transform='translate(0,26)' width='100%25' height='100%25' xlink:href='%23path16059'/%3E%3Cpath id='rect15634' transform='translate(0 1000.4)' d='m5 15v6h6v-2h-4v-4z' color='%23000000' fill='%23404040'/%3E%3Cpath id='path15639' transform='translate(0 1000.4)' d='m21 15v6h-6v-2h4v-4z' color='%23000000' fill='%23404040'/%3E%3Cpath d='m10 1037.4v4l1 1h4l1-1v-4l-1-1h-4z' color='%23000000' fill='%23404040'/%3E%3Cpath id='path16059' d='m5 1011.4v-6h6v2h-4v4z' color='%23000000' fill='%23404040'/%3E%3Cpath id='path16061' d='m21 1011.4v-6h-6v2h4v4z' color='%23000000' fill='%23404040'/%3E%3C/g%3E%3C/svg%3E%0A");
    background-size: 26px 52px;
}
.leaflet-tooltip.my-labels {
	background-color: transparent;
	border: transparent;
	box-shadow: none;
	font-weight: bold;
	font-size: 10px;
	}

.leaflet-tooltip.my-labels_predio {
    background-color: transparent;
    border: transparent;
    box-shadow: none;
    font-weight: bold;
    font-size: 12px;
    }

.leaflet-tooltip.my-labels-predioManzana {
    background-color: transparent;
    border: transparent;
    box-shadow: none;
    //font-weight: bold;
    font-size: 15px;
    }
.leaflet-tooltip.my-labels-predioColindantes {
    background-color: transparent;
    border: transparent;
    box-shadow: none;
    //font-weight: bold;
    font-size: 12px;
    }
.leaflet-container {
    background: #ddd;
    outline: 0;
}


.target::after {
    content: "my_location"
}

.material-icons {
    line-height: 40px !important;
}

.fa {
    line-height: 40px !important;
}

.icon {
    line-height: 30px !important;
}

.leaflet-container .leaflet-control-mouseposition {
    background-color: rgba(255, 255, 255, 0.7);
    box-shadow: 0 0 5px #bbb;
    padding: 0 5px;
    margin: 0;
    color: rgb(133, 7, 7);
    font: 11px/1.5 "Helvetica Neue", Arial, Helvetica, sans-serif;
}


/*////////////*/

.modalDialog {
    position: fixed;
    font-family: Arial, Helvetica, sans-serif;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    background: rgba(0, 0, 0, 0.8);
    z-index: 99999;
    opacity: 0;
    -webkit-transition: opacity 400ms ease-in;
    -moz-transition: opacity 400ms ease-in;
    transition: opacity 400ms ease-in;
    pointer-events: none;
}

.modalDialog:target {
    opacity: 1;
    pointer-events: auto;
}

.modalDialog>div {
    width: 400px;
    position: relative;
    margin: 10% auto;
    padding: 5px 20px 13px 20px;
    border-radius: 10px;
    background: #fff;
    background: -moz-linear-gradient(#fff, #999);
    background: -webkit-linear-gradient(#fff, #999);
    background: -o-linear-gradient(#fff, #999);
    -webkit-transition: opacity 400ms ease-in;
    -moz-transition: opacity 400ms ease-in;
    transition: opacity 400ms ease-in;
}

.close {
    background: #606061;
    color: #FFFFFF;
    line-height: 25px;
    position: absolute;
    right: -12px;
    text-align: center;
    top: -10px;
    width: 24px;
    text-decoration: none;
    font-weight: bold;
    -webkit-border-radius: 12px;
    -moz-border-radius: 12px;
    border-radius: 12px;
    -moz-box-shadow: 1px 1px 3px #000;
    -webkit-box-shadow: 1px 1px 3px #000;
    box-shadow: 1px 1px 3px #000;
}

.close:hover {
    background: #00d9ff;
}

.boton-buscar {
    background-color: #2b7de9 !important;
    color: white !important;
}

.boton-limpiar {
    background-color: #DFDFDF !important;
    color: black !important;
}

.verde {
    background-color: #55BC16;
}

.gris {
    background-color: #D1D1D1;
}

.azul {
    background-color: #003087;
}

.azul-front {
    color: #003087;
}

.w-40 {
    width: 40%;
}

.w-30 {
    width: 30%;
}

.more-rounded {
    border-radius: 1rem;
}

.text-xl {
    font-size: 1.5rem;
}

.font-bold {
    font-weight: 900;
}

.mat-button.mat-success,
.mat-stroked-button.mat-success {
    background-color: #5cb85c;
    color: #f7f7f7 !important;
}

.mat-button.mat-info,
.mat-stroked-button.mat-info {
    background-color: #5bc0de;
    color: #f7f7f7 !important;
}

.mat-button.mat-warning,
.mat-stroked-button.mat-warning {
    background-color: #f0ad4e;
    color: #f7f7f7 !important;
}

.mat-button.mat-primary,
.mat-stroked-button.mat-primary {
    background-color: #0275d8;
    color: #f7f7f7 !important;
}

.mat-button.mat-danger,
.mat-stroked-button.mat-danger {
    background-color: #d9534f;
    color: #f7f7f7 !important;
}

.mat-button:hover,
.mat-stroked-button:hover {
    background-color: gold;
    color: #292b2c !important;
}

.mat-button.mat-button-disabled.mat-button-disabled,
.mat-stroked-button.mat-stroked-button-disabled.mat-stroked-button-disabled {
    color: #E0E0E0;
    background-color: #C5C5C5 !important;
}

.cdk-global-overlay-wrapper,
.cdk-overlay-container {
    z-index: 10000 !important;
}

.oversize {
    width: 100%;
    height: auto;
}

::-webkit-scrollbar {
    width: 5px;
    height: 5px;
}

 ::-webkit-scrollbar-track {
    background: #f1f1f1;
}

 ::-webkit-scrollbar-thumb {
    background: #888;
}

 ::-webkit-scrollbar-thumb:hover {
    background: #555;
}

button:active,
button:focus {
    box-shadow: none;
    outline: none;
}

.tree-icon {
    font-size: 13px !important;
    height: 13px !important;
    width: 13px !important;
    //vertical-align: bottom;
    color: #FF9800;
}

.tree-iconFont {
    font-size: 11px !important;
    height: 13px !important;
    width: 13px !important;
    //vertical-align: bottom;
    color: #FF9800;
}

.tree-iconFontPanel {
    font-size: 12px !important;
    height: 10px !important;
    width: 13px !important;
    //vertical-align: bottom;
    color: #FF9800;
}

.ax-tree-indicator {
    vertical-align: unset !important;
}

.selection-preview {
    height: 70vh;
    overflow: auto;
    border: 1px solid #ddd;
    background: #eee;
    padding: 10px;
    font-family: consolas;
}

.github-me {
    position: absolute;
    left: auto;
    right: 0;
}


/*
.example-accordion {
    display: block;
    max-width: 500px;
}

.example-accordion-item {
    display: block;
    border: solid 1px #ccc;
}

.example-accordion-item+.example-accordion-item {
    border-top: none;
}

.example-accordion-item-header {
    display: flex;
    align-content: center;
    justify-content: space-between;
}

.example-accordion-item-description {
    font-size: 0.85em;
    color: #999;
}

.example-accordion-item-header,
.example-accordion-item-body {
    padding: 16px;
}

.example-accordion-item-header:hover {
    cursor: pointer;
    background-color: #eee;
}

.example-accordion-item:first-child {
    border-top-left-radius: 4px;
    border-top-right-radius: 4px;
}

.example-accordion-item:last-child {
    border-bottom-left-radius: 4px;
    border-bottom-right-radius: 4px;
}

.accordion {
    display: block;
    max-width: 800px;
}

.accordion-item {
    display: block;
    border: solid 1px rgb(150, 147, 147);
}

.accordion-item+.accordion-item {
    border-top: none;
}

.accordion-item-header {
    display: flex;
    align-content: center;
    justify-content: space-between;
}

.accordion-item-description {
    font-size: 0.85em;
    color: #202cd6;
}

.accordion-item-header,
.accordion-item-body {
    padding: 10px;
}

.accordion-item-header:hover {
    cursor: pointer;
    background-color: rgb(143, 221, 78);
}

.accordion-item:first-child {
    border-radius: 4px 4px 0 0;
}

.accordion-item:last-child {
    border-radius: 0 0 4px 4px;
}*/